//---- RECUPERA PARAMETRO DE LA URL -----------

function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return"";
	else
		return results[1];
}

//------------------------------

function mostrar_nombres(){
 

var grado1;
var curso1;
var jornada1;

var v1=parametro('codigo');
var n=parametro('n');

document.getElementById('codigo').value=v1;

var parametros = {"accion":'ingresar',
                          "codigo" :v1
                           };
        $.ajax({
              data:  parametros,
              url:"ingresar_notas.php",
              type:  'post',
              success:function (response){

                 if (response!='NO'){
                    var elem = response.split('_');
                     grado1 = elem[1].split(' ');
                     curso1 = elem[2].split(' ');
                     jornada1 = elem[3].split(' ');

                    document.getElementById('nombre').value=elem[0];
                    document.getElementById('grado').value=elem[1];
                    document.getElementById('curso').value=elem[2];
                    document.getElementById('jornada').value=elem[3];

                    mostrar_asignaturas(v1,grado1[0],curso1[0],jornada1[0],n);
                }
                else{
                    alert("NO EXISTE ESTUDIANTE");
                    codigo.focus();
                }


            }
        });


}

//----------------- MOSTRAR LAS ASIGNATURAS DE GRADO Y CURSO ---------

function mostrar_asignaturas(codigo,g,c,j,n){

  var parametros1 = {"accion":'mostrar_asign',
                          "n" :n,     
                          "codigo" :codigo,
                          "grado" :g,
                          "curso" :c,
                          "jornada" :j
                         };
        $.ajax({
              data:  parametros1,
              url:"ingresar_notas.php",
              type:  'post',
              success:function (response){

                    $("#notas_alumno").html(response);

            }
        });


}


//------------------------------------------

function retornar(){
var codigo=parametro('codigo');

location.href="../menu_estudiante.php?id="+codigo+"&rol=2";
}